POST api/colorapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
ColorViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
None. |
|
| active | boolean |
Required |
|
| code | string |
Required String length: inclusive between 0 and 30 |
|
| customer_id | globally unique identifier |
Required |
|
| hexadecimal_code | string |
Required String length: inclusive between 0 and 6 |
|
| id | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"customer_id": "f6e6a3c1-05e2-42ac-9001-55b0950c50fc",
"hexadecimal_code": "sample string 4",
"id": "af96cb1d-6ff8-43b1-9e54-51f7a517d134"
}
application/xml, text/xml
Sample:
<color xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<code>sample string 2</code>
<customer_id>f6e6a3c1-05e2-42ac-9001-55b0950c50fc</customer_id>
<hexadecimal_code>sample string 4</hexadecimal_code>
<id>af96cb1d-6ff8-43b1-9e54-51f7a517d134</id>
<descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</descriptions>
</color>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"b886af71-df9c-4a7f-a8c4-8b918fd3a460"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">b886af71-df9c-4a7f-a8c4-8b918fd3a460</guid>